#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lz4
Version		:	1.9.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Data compression library with very fast (de)compression
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/lz4/lz4/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc

Requires	:       %{name}-libs	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_bindir}/%{name}*
%{_bindir}/un%{name}
%{_mandir}/man1/%{name}*.1.gz
%{_mandir}/man1/un%{name}.1.gz

#=============================================================================
%package		libs
Summary		:	Libaries for lz4

#-----------------------------------------------------------------------------
Obsoletes	:	%{name}	< 1.8.4
 
#-----------------------------------------------------------------------------
%description    	libs
This package contains the libaries for lz4.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-, root,root, -)
%doc lib/LICENSE
%{_libdir}/lib%{name}.so.*

#=============================================================================
%package		devel
Summary		:	Development files for lz4

#-----------------------------------------------------------------------------
Requires	:       %{name}-libs	= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description    	devel
This package contains the header(.h) and library(.so)
files required to build applications using liblz4 library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, -)
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	BUILD_STATIC=no					\
	install


#-----------------------------------------------------------------------------
%changelog
